| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DatesJob Class Reference
Inheritance diagram for Digikam::DatesJob:

## Signals
void | foldersData (const QHash< QDateTime, int > &datesStatMap)
Signals inherited from Digikam::DBJob
void | data (const QList< ItemListerRecord > &records)
void | error (const QString &err)
Signals inherited from Digikam::ActionJob
void | signalDone ()
| Use this signal in your implementation to inform ActionThreadBase manager the job is done.
void | signalProgress (int)
| Use this signal in your implementation to inform ActionThreadBase manager the job progress.
void | signalStarted ()
| Use this signal in your implementation to inform ActionThreadBase manager that job is started.

## Public Member Functions
| DatesJob (const DatesDBJobInfo &jobInfo)
Public Member Functions inherited from Digikam::ActionJob
| ActionJob (QObject *const parent=nullptr)
| Constructor which delegate deletion of QRunnable instance to ActionThreadBase, not QThreadPool.
| ~ActionJob () override
| Re-implement destructor in you implementation.

## Protected Member Functions
void | run () override
| Reimplemented from QRunnable to customize the thread name based on the object name.

## Additional Inherited Members
Public Slots inherited from Digikam::ActionJob
void | cancel ()
| Call this method to cancel job.
Public Attributes inherited from Digikam::ActionJob
QElapsedTimer | m_timer
| Timer to determine the running time of the job.
Protected Attributes inherited from Digikam::ActionJob
bool | m_cancel = false
| You can use this boolean in your implementation to know if job must be canceled.

## Member Function Documentation

## ◆ run()

void Digikam::DatesJob::run | ( |  | ) |
| override protected virtual

Call it on the top of your derived implementation to take effect.

Reimplemented from Digikam::ActionJob.